Subject: bug#75710: 31.0.50; feature/igc: crash report on Arch Linux, 2025-01-20

From: Oliver Reiter <[email-masked]>
Date: Wed, 22 Jan 2025 14:12:02 +0100

Pip Cet <[email-masked]> writes:

> While unsatisfying, my very preliminary conclusion is that there is a
> significant chance that this is bug#75754.  My plan is to fix this bug
> unconditionally (without #ifdef HAVE_MPS) on feature/igc because I
> believe the bug is present, albeit much less likely, on master, and the
> ultimate fix for bug#75754 is likely to be both very different and take
> some time.
>
> Objections to this?

If you are asking me: no objections.

>> In GNU Emacs 31.0.50 (build 4, x86_64-pc-linux-gnu, GTK+ Version
>>  3.24.43, cairo version 1.18.2) of 2025-01-20 built on wilap
>> Repository revision: 35437854166f8d0c1deceb7aba50f27cc838b490
>> Repository branch: feature/igc
>> System Description: Arch Linux
>>
>> Configured using:
>>  'configure 'CFLAGS=-g3 -ggdb -Og -fno-omit-frame-pointer'
>                                 ^^^
>
> I confess I rarely build with -Og: I'm in the -O0 team, or -Os just to
> see some different compiler warnings once in a while.  Thanks for
> testing with this flag; it might mean you see bugs others don't.
>
> In particular, stack marking with -O0 behaves in a more obvious fashion
> than in optimized builds; while the intention of -Og is to keep
> variables in the right location for debugging, I don't know how good GCC
> is at doing that in practice.

Thanks for the insight, I'll build with -O0 next time.